Keywords

GET /api/v1/accounts/{projectId}/keywords

List keywords with performance and Quality Score components.

GET /api/v1/accounts/{projectId}/keywords

List keywords with performance and Quality Score components.

Requires a key with read scope or higher.

Returns 200 on success.

Parameters

NameInTypeRequiredDescription
projectIdpathstringyesThe Google Ads account, as returned by GET /api/v1/accounts.
daysquerynumbernoLookback window in complete days, ending yesterday. Today's metrics are still accumulating, so they are excluded.
limitquerynumbernoMaximum rows to return.
campaign_idquerystringnoRestrict to one campaign.
ad_group_idquerystringnoRestrict to one ad group.

Example

curl -X GET "https://bidandscale.com/api/v1/accounts/{projectId}/keywords" \
  -H "Authorization: Bearer $BIDANDSCALE_API_KEY"

On this page